logstash shiiper can not run on Linux 2.6.9-42.ELsmp i686 with JDK 1.6.0_11

Description

In Linux 2.6.9-42.ELsmp i686 with JDK "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)

Start logstash shipper (java -jar logstash-1.2.2-flatjar.jar agent -f shipper.conf)

got below exception
Exception in thread "LogStash::Runner" org.jruby.exceptions.RaiseException: (LoadError) Could not load FFI Provider: (NotImplementedError) FFI not available: null
See http://jira.codehaus.org/browse/JRUBY-4583
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1082)
at RUBY.require(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.require(file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/logstash/JRUBY-6970.rb:22)
at RUBY.(root)(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/ffi/ffi.rb:69)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1082)
at RUBY.(root)(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1)
at RUBY.require(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.require(file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/logstash/JRUBY-6970.rb:22)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1082)
at RUBY.(root)(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/ffi.rb:1)
at RUBY.(root)(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1)
at RUBY.require(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.require(file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/logstash/JRUBY-6970.rb:22)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1082)
at RUBY.LibC(file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/logstash/util/prctl.rb:3)
at RUBY.(root)(file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/logstash/util/prctl.rb:2)
at RUBY.(root)(jar:file:/userap/domains/A4Domain/a4log/logstash_shipper/logstash-1.2.2-flatjar.jar!/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1)
at logstash.runner.main(logstash/runner.rb:60)
at logstash.runner.(root)(logstash/runner.rb:230)

Environment

None

Status

Assignee

Logstash Developers

Reporter

kychenzi

Labels

Affects versions

Priority

Configure